*** ../wavelan.orig/wicontrol.8	Thu Jan 17 11:24:22 2002
--- wicontrol.8	Thu Jan 17 13:07:15 2002
***************
*** 78,83 ****
--- 78,86 ----
  .Nm
  .Fl i Ar iface Fl C
  (display signal cache)
+ .Nm
+ .Fl i Ar iface Fl A
+ (scan access points)
  .Sh DESCRIPTION
  The
  .Nm
***************
*** 113,119 ****
  .It Fl i Ar iface Op Fl o
  Display the current settings of the specified WaveLAN/IEEE interface.
  This retrieves the current card settings from the driver and prints them
! out.
  Using the additional
  .Fl o
  flag will cause
--- 116,125 ----
  .It Fl i Ar iface Op Fl o
  Display the current settings of the specified WaveLAN/IEEE interface.
  This retrieves the current card settings from the driver and prints them
! out.  Note that the channel list value is in decimal, and probably
! should be in HEX.  One bit is set for every channel available, bit 1
! for channel 1, etc.  Thus 2047 means 0x7ff, or that channels 1-11
! are available.
  Using the additional
  .Fl o
  flag will cause
***************
*** 129,135 ****
  standard WaveLAN/IEEE or a WaveLAN/IEEE Turbo adapter.
  The standard
  NICs support a maximum transmit rate of 2Mbps while the turbo NICs
! support a maximum speed of 6Mbps.
  The following table shows the
  legal transmit rate settings and the corresponding transmit speeds:
  .Bl -column ".Em TX\ rate" ".Em NIC\ speed" -offset indent
--- 135,142 ----
  standard WaveLAN/IEEE or a WaveLAN/IEEE Turbo adapter.
  The standard
  NICs support a maximum transmit rate of 2Mbps while the turbo NICs
! support a maximum speed of 6Mbps.  Newer NICs support a raw
! speed of 11Mbps, although the true rate is less than 5Mbps.
  The following table shows the
  legal transmit rate settings and the corresponding transmit speeds:
  .Bl -column ".Em TX\ rate" ".Em NIC\ speed" -offset indent
***************
*** 192,208 ****
  (enable creation of IBSS).
  The default is
  .Cm 0 .
! .Pp
! Note: this option is provided for experimental purposes only: enabling
! the creation of an IBSS on a host system doesn't appear to actually work.
  .It Fl i Ar iface Fl q Ar SSID
  Specify the name of an IBSS (SSID) to create on a given interface.
  The
  .Ar SSID
  can be any text string up to 30 characters long.
- .Pp
- Note: this option is provided for experimental purposes only: enabling
- the creation of an IBSS on a host system doesn't appear to actually work.
  .It Fl i Ar iface Fl p Ar port_type
  Set the
  port type
--- 199,212 ----
  (enable creation of IBSS).
  The default is
  .Cm 0 .
! This will not work if the port type has not been
! set to 
! .Cm 1.
  .It Fl i Ar iface Fl q Ar SSID
  Specify the name of an IBSS (SSID) to create on a given interface.
  The
  .Ar SSID
  can be any text string up to 30 characters long.
  .It Fl i Ar iface Fl p Ar port_type
  Set the
  port type
***************
*** 213,228 ****
  .Cm 1
  (BSS mode) and
  .Cm 3
! (ad-hoc) mode.
! In ad-hoc mode, the station can
  communicate directly with any other stations within direct radio range
! (provided that they are also operating in ad-hoc mode).
  In BSS mode,
  hosts must associate with a service set controlled by an access point,
! which relays traffic between end stations.
  The default setting is
! .Cm 3
! (ad-hoc mode).
  .It Fl i Ar iface Fl a Ar access_point_density
  Specify the
  access point density
--- 217,236 ----
  .Cm 1
  (BSS mode) and
  .Cm 3
! (demo ad-hoc) mode.
! In demo ad-hoc mode, the station can
  communicate directly with any other stations within direct radio range
! (provided that they are also operating in demo ad-hoc mode).
! Note: demo ad-hoc mode is a mistake, but an interesting one. This mode
! does not interoperate with other non-Lucent derived 802.11 devices (however prism2 devices
! MAY support it).
  In BSS mode,
  hosts must associate with a service set controlled by an access point,
! which relays traffic between end stations.  BSS mode must be
! set in order to turn on IBSS (true ad-hoc) mode.
  The default setting is
! .Cm 1
! (IBSS or managed/infrastructure mode).
  .It Fl i Ar iface Fl a Ar access_point_density
  Specify the
  access point density
***************
*** 297,302 ****
--- 305,315 ----
  The
  .Ar frequency
  should be specified as a channel ID as shown in the table below.
+ Note that in managed or BSS mode, you do not set the frequency,
+ as this is done by the firmware as it locks onto an access point.
+ The frequency however must be set in the various ad hoc modes.
+ Recent lucent firmware sets the default frequency to channel 10.
+ Earlier versions set it to channel 3.  
  The
  list of available frequencies is dependent on radio regulations specified
  by regional authorities.
***************
*** 376,382 ****
--- 389,446 ----
  The signal quality values is produced by subtracting the noise level
  from the signal strength (i.e. less noise and better signal yields
  better signal quality).
+ .It Fl i Ar iface Fl A 
+ This forces the driver to initiate one round of access point
+ scanning.  Any access points found are displayed.  
+ This mode does not work unless the driver has been initialized; i.e., an IP
+ address must be assigned first.
  .El
+ .Sh SAMPLE CONFIGURATIONS
+ .Pp
+ As of firmware release 6.04,  Lucent correctly implemented the two
+ major 802.11 modes known as managed/infrastructure or IBSS/ad-hoc.
+ The previous ad-hoc effort does not interoperate with other vendor's
+ IBSS mode, and still exists at this time.  Lucent calls it "demo ad-hoc".
+ In this section we will briefly give a configuration overview of
+ .Nm
+ commands for setting up those 3 modes.  
+ .Ss Managed Mode
+ .sp 1
+ #
+ .Nm
+ -i wi0 -p 1 
+ .br 
+ #
+ .Nm
+ -i wi0 -n mynetwork
+ 
+ .Ss IBSS Mode
+ .sp 1
+ #
+ .Nm
+ -i wi0 -p 1 
+ .br 
+ #
+ .Nm
+ -i wi0 -c 1 
+ .br 
+ #
+ .Nm
+ -i wi0 -n mynetwork
+ .br 
+ #
+ .Nm
+ -i wi0 -f 10
+ .Ss demo ad-hoc Mode
+ .sp 1
+ #
+ .Nm
+ -i wi0 -p 3 
+ .br
+ #
+ .Nm
+ -i wi0 -f 10
+ .Pp
  .Sh SEE ALSO
  .Xr wi 4 ,
  .Xr ifconfig 8
***************
*** 390,392 ****
--- 454,458 ----
  .Nm
  command was written by
  .An Bill Paul Aq wpaul@ctr.columbia.edu .
+ .An Jim Binkley Aq jrb@cs.pdx.edu
+ has recently done a little editing work.
